<script setup>
  import { reactive } from 'vue';
  import Facture from '@/components/entites/Facture.vue';
  import axios from 'axios'
  import ROUTES_API from '@/assets/routesAPI.js'

  const props = defineProps( {
      id: {
        type: String,
        required: true,
      }
    })

  const facture = reactive({
    idFacture: props.id,
    emetteur: "",
    date: "",
    prix: "",
    description: ""
  });

  axios.get(ROUTES_API.FACTURES + props.id, {
    headers : {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
  })
  .then(response => {
    if (response.data) {
        facture.emetteur = response.data.emetteur; 
        facture.date = response.data.date;
        facture.prix = response.data.prix;
        facture.description = response.data.description;
    }
  })
  .catch(e => {})

  function supprimerFacture(id) {
    axios.delete(ROUTES_API.FACTURES + id, {
      headers : {
        'Content-Type': 'application/json',
        'Accept': 'application/json'
      }
    })
    .then(response => {
      window.location.href = "/factures";
    })
    .catch(e => {})
  }

</script>

<template>
  <div>
    <Facture :facture="facture" @supprimer="supprimerFacture"/>
  </div>
</template>
